> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Service Types (with Carrier ID)

> Retrieves the available service types for the Default Application carriers



## OpenAPI

````yaml /openapi/openapi_shipping_admin.json get /commerce/shipping/global/carriers/{carrierId}/serviceTypes/{localeCode}
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Shipping Admin Service
  title: Shipping Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/shipping/global/carriers/{carrierId}/serviceTypes/{localeCode}:
    get:
      tags:
        - CarrierConfigurationGlobal
      summary: Get Service Types (with Carrier ID)
      description: >-
        Retrieves the available service types for the Default Application
        carriers
      parameters:
        - description: ''
          in: path
          name: carrierId
          required: true
          schema:
            type: string
        - description: ''
          in: path
          name: localeCode
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ServiceType'
                type: array
            text/json:
              schema:
                items:
                  $ref: '#/components/schemas/ServiceType'
                type: array
            text/plain:
              schema:
                items:
                  $ref: '#/components/schemas/ServiceType'
                type: array
          description: Success
components:
  schemas:
    ServiceType:
      description: Service Type aka Shipping Method
      properties:
        code:
          description: Unique Service Type Code for a particular Carrier
          nullable: true
          type: string
        content:
          $ref: '#/components/schemas/ServiceTypeLocalizedContent'
        deliveryDuration:
          nullable: true
          type: string
      type: object
    ServiceTypeLocalizedContent:
      properties:
        localeCode:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````